POST /api/lists/index

Spaces method and path for this operation:

post /s/{space_id}/api/lists/index

Refer to Spaces for more information.

DEPRECATED. deprecated: true is set on this operation. Value list backing data streams for the space are now created as part of supported workflows; calling this explicitly is rarely required. WARNING: Do not use for new integrations. Prefer the UI or the list and list-item APIs after confirming indices exist with GET /api/lists/index.

Creates the .lists and .items data streams in the current Kibana space.

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • acknowledged boolean Required
  • 400 application/json

    Invalid input data response

    One of:
  • 401 application/json

    Unsuccessful authentication response

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode integer Required
  • 403 application/json

    Not enough privileges response

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode integer Required
  • 409 application/json

    List data stream exists response

    Hide response attributes Show response attributes object
    • message string Required
    • status_code integer Required
  • 500 application/json

    Internal server error response

    Hide response attributes Show response attributes object
    • message string Required
    • status_code integer Required
POST /api/lists/index
curl \
 --request POST 'https://<KIBANA_URL>/api/lists/index' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "acknowledged": true
}
Response examples (400)
{
  "message": "Indices exist but the request could not be completed for the current space. Check that Elasticsearch and Kibana privileges allow index creation for lists.",
  "status_code": 400
}
Response examples (401)
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]\n",
  "statusCode": 401
}
Response examples (403)
{
  "error": "Forbidden",
  "message": "API [POST /api/lists/index] is unauthorized for user, this action is granted by the Kibana privileges [lists-all]",
  "statusCode": 403
}
Response examples (409)
{
  "message": "data stream: \\\".lists-default\\\" and \\\".items-default\\\" already exists",
  "status_code": 409
}
Response examples (500)
{
  "message": "Internal Server Error",
  "status_code": 500
}